package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProUserDAO;
import com.philisense.www.mapper.ProUserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProUserDAOImpl implements ProUserDAO {
        @Autowired
        private ProUserMapper proUserMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proUserMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proUserMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proUserMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proUserMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proUserMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proUserMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proUserMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proUserMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proUserMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proUserMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proUserMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proUserMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proUserMapper.updateBatch(list);
        }

    @Override
    public List<Map<String, Object>> timecountlist(Map<String, Object> map) {
        return proUserMapper.timecountlist(map);
    }


    @Override
    public List<Map<String, Object>> getAllAddressBook(Map<String, Object> map) {
        return proUserMapper.getAllAddressBook(map);
    }

    @Override
    public List<Map<String, Object>> selectUserByProResourceWorkFlowId(Map<String, Object> map) {
        return proUserMapper.selectUserByProResourceWorkFlowId(map);
    }

    @Override
    public int countUserByProResourceWorkFlowId(Map<String, Object> map) {
        return proUserMapper.countUserByProResourceWorkFlowId(map);
    }

    @Override
    public List<Map<String, Object>> getByIdIn(List<String> userIdList) {
        return proUserMapper.getByIdIn(userIdList);
    }

    @Override
    public Map<String, Object> getOneByUserName(Map<String, Object> map) {
        return proUserMapper.getOneByUserName(map);
    }

    @Override
    public List<Map<String, Object>> getAllByUserName(Map<String, Object> map) {
        return proUserMapper.getAllByUserName(map);
    }

    @Override
    public int countByAuthority(Map<String, Object> map) {
        return proUserMapper.countByAuthority(map);
    }

    @Override
    public List<Map<String, Object>> queryPageByAuthority(Map<String, Object> map) {
        return proUserMapper.queryPageByAuthority(map);
    }

    @Override
    public int countUserOrg(Map<String, Object> map) {
        return proUserMapper.countUserOrg(map);
    }

    @Override
    public List<Map<String, Object>> queryPageUserOrg(Map<String, Object> map) {
        return proUserMapper.queryPageUserOrg(map);
    }

    @Override
    public List<Map<String, Object>> getAllUser(Map<String, Object> map) {
        return proUserMapper.getAllUser(map);
    }

    @Override
    public List<Map<String, Object>> getAllByAuthType(String authType) {

            return proUserMapper.getAllByAuthType(authType);
    }

}
